Subject: bug#76505: 31.0.50; igc: M-x project-compile is slow

From: Ihor Radchenko <[email-masked]>
Date: Tue, 25 Feb 2025 18:47:32 +0000

Pip Cet <[email-masked]> writes:

>>> M-: (benchmark-progn (igc-collect))
>>> Elapsed time: 3.086109s
>>
>> btw, is 3 seconds collection normal?
>
> For a full collection, it may be, but that's why we don't want to do
> those :-)

With the traditional GC, I have <1sec collection times.
See the attached.

In general, most GC durations for Emacs users is less than 3 seconds for
our traditional GC.
See another attached :)

>> I am asking because I see few second hangs that are caused by automatic
>> garbage collection as well (now, when I enabled garbage-collection-messages)
>
> That sounds excessive, even for a large session!  In this large session,
> I'm certainly not seeing hangs of a few seconds, and a full GC also
> takes about 3 seconds.
>
> Are you using the standard generation chain?

I have no idea what you are talking about, so I guess whatever it is, it
should be the default.

> I suspect the problem is indeed in the file notification code.  I recall
> I ended up turning off auto-revert because it broke some scenarios too
> badly, but it'd be nice to figure out what's going on there and fix it
> properly.

Anything I can help?
I am now running a different session (latest commit; under gdb), but
when I encounter the same problem again, I can try whatever you ask me
to do.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>